## org.gnu.gtk.event
Class ContainerEvent.Type

    java.lang.Object
      org.gnu.glib.EventType
          org.gnu.gtk.event.ContainerEvent.Type

Enclosing class:
  ContainerEvent

public static class ContainerEvent.Type
extends EventType

Field Summary
`static ContainerEvent.Type` `ADD` This event indicates that a child widget has been added to the container.
`static ContainerEvent.Type` `CHECK_RESIZE` This event indicates that ...
`static ContainerEvent.Type` `REMOVE` This event indicates that a child widget has been removed to the container.
`static ContainerEvent.Type` `SET_FOCUS_CHILD` This event indicates that a child widget has been given focus.

Methods inherited from class org.gnu.glib.EventType
`getID, getName`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ADD

    public static final ContainerEvent.Type ADD

  This event indicates that a child widget has been added to the container.

### CHECK_RESIZE

    public static final ContainerEvent.Type CHECK_RESIZE

  This event indicates that ...

### REMOVE

    public static final ContainerEvent.Type REMOVE

  This event indicates that a child widget has been removed to the container.

### SET_FOCUS_CHILD

    public static final ContainerEvent.Type SET_FOCUS_CHILD

  This event indicates that a child widget has been given focus.